summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2019-03-19 11:37:34 +0000
committerV3n3RiX <venerix@redcorelinux.org>2019-03-19 11:37:34 +0000
commitb7b97785ebbb2f11d24d14dab8b81ed274f4ce6a (patch)
tree9fd110f9fc996e8a4213eeda994a8c112491b86d /eclass
parent066d27181e9a797ad9f8fc43b49fc9a10ff2f707 (diff)
gentoo resync : 19.03.2019
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin37610 -> 37624 bytes
-rw-r--r--eclass/font.eclass2
-rw-r--r--eclass/java-utils-2.eclass13
-rw-r--r--eclass/linux-mod.eclass4
-rw-r--r--eclass/meson.eclass13
-rw-r--r--eclass/mozconfig-v6.52.eclass2
-rw-r--r--eclass/mozconfig-v6.60.eclass32
-rw-r--r--eclass/mozcoreconf-v6.eclass1
-rw-r--r--eclass/rust-toolchain.eclass4
-rw-r--r--eclass/toolchain-funcs.eclass8
-rw-r--r--eclass/xorg-2.eclass13
-rw-r--r--eclass/xorg-3.eclass8
12 files changed, 71 insertions, 29 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index cad42ae3aea0..74e3e11a738f 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/font.eclass b/eclass/font.eclass
index 513be3981c3c..58ec9e3ea312 100644
--- a/eclass/font.eclass
+++ b/eclass/font.eclass
@@ -55,7 +55,7 @@ DOCS=${DOCS:-}
IUSE="X"
DEPEND="X? (
- x11-apps/mkfontdir
+ || ( >=x11-apps/mkfontscale-1.2.0 x11-apps/mkfontdir )
media-fonts/encodings
)"
RDEPEND=""
diff --git a/eclass/java-utils-2.eclass b/eclass/java-utils-2.eclass
index 1ffd7a03399b..4f7eb0356fc9 100644
--- a/eclass/java-utils-2.eclass
+++ b/eclass/java-utils-2.eclass
@@ -1,4 +1,4 @@
-# Copyright 2004-2018 Gentoo Foundation
+# Copyright 2004-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: java-utils-2.eclass
@@ -15,7 +15,10 @@
# you should inherit java-pkg-2 for Java packages or java-pkg-opt-2 for packages
# that have optional Java support. In addition you can inherit java-ant-2 for
# Ant-based packages.
-inherit eutils versionator multilib
+
+# EAPI 7 has version functions built-in. Use eapi7-ver for all earlier eclasses.
+# Keep versionator inheritance in case consumers are using it implicitly.
+[[ ${EAPI} == [0123456] ]] && inherit eapi7-ver eutils multilib versionator
IUSE="elibc_FreeBSD"
@@ -1518,8 +1521,8 @@ java-pkg_is-vm-version-eq() {
local vm_version="$(java-pkg_get-vm-version)"
- vm_version="$(get_version_component_range 1-2 "${vm_version}")"
- needed_version="$(get_version_component_range 1-2 "${needed_version}")"
+ vm_version="$(ver_cut 1-2 "${vm_version}")"
+ needed_version="$(ver_cut 1-2 "${needed_version}")"
if [[ -z "${vm_version}" ]]; then
debug-print "Could not get JDK version from DEPEND"
@@ -1570,7 +1573,7 @@ java-pkg_is-vm-version-ge() {
debug-print "Could not get JDK version from DEPEND"
return 1
else
- if version_is_at_least "${needed_version}" "${vm_version}"; then
+ if ver_test "${vm_version}" -ge "${needed_version}"; then
debug-print "Detected a JDK(${vm_version}) >= ${needed_version}"
return 0
else
diff --git a/eclass/linux-mod.eclass b/eclass/linux-mod.eclass
index 920790b8db98..de005967a36c 100644
--- a/eclass/linux-mod.eclass
+++ b/eclass/linux-mod.eclass
@@ -638,6 +638,8 @@ linux-mod_src_compile() {
set_arch_to_kernel
ABI="${KERNEL_ABI}"
+ [[ -n ${KERNEL_DIR} ]] && addpredict "${KERNEL_DIR}/null.dwo"
+
BUILD_TARGETS=${BUILD_TARGETS:-clean module}
strip_modulenames;
cd "${S}"
@@ -702,6 +704,8 @@ linux-mod_src_install() {
local modulename libdir srcdir objdir i n
+ [[ -n ${KERNEL_DIR} ]] && addpredict "${KERNEL_DIR}/null.dwo"
+
strip_modulenames;
for i in ${MODULE_NAMES}
do
diff --git a/eclass/meson.eclass b/eclass/meson.eclass
index 75291d7bdd1b..65b09932a7ac 100644
--- a/eclass/meson.eclass
+++ b/eclass/meson.eclass
@@ -188,6 +188,19 @@ meson_use() {
usex "$1" "-D${2-$1}=true" "-D${2-$1}=false"
}
+# @FUNCTION: meson_feature
+# @USAGE: <USE flag> [option name]
+# @DESCRIPTION:
+# Given a USE flag and meson project option, outputs a string like:
+#
+# -Doption=enabled
+# -Doption=disabled
+#
+# If the project option is unspecified, it defaults to the USE flag.
+meson_feature() {
+ usex "$1" "-D${2-$1}=enabled" "-D${2-$1}=disabled"
+}
+
# @FUNCTION: meson_src_configure
# @USAGE: [extra meson arguments]
# @DESCRIPTION:
diff --git a/eclass/mozconfig-v6.52.eclass b/eclass/mozconfig-v6.52.eclass
index 646232c86a59..c0b4b47155e7 100644
--- a/eclass/mozconfig-v6.52.eclass
+++ b/eclass/mozconfig-v6.52.eclass
@@ -129,7 +129,7 @@ RDEPEND=">=app-text/hunspell-1.2:=
system-cairo? ( >=x11-libs/cairo-1.12[X,xcb] >=x11-libs/pixman-0.19.2 )
system-icu? ( >=dev-libs/icu-58.1:= )
system-jpeg? ( >=media-libs/libjpeg-turbo-1.2.1 )
- system-libevent? ( >=dev-libs/libevent-2.0:0= )
+ system-libevent? ( >=dev-libs/libevent-2.0:0=[threads] )
system-sqlite? ( >=dev-db/sqlite-3.17.0:3[secure-delete,debug=] )
system-libvpx? ( >=media-libs/libvpx-1.5.0:0=[postproc] )
system-harfbuzz? ( >=media-libs/harfbuzz-1.3.3:0= >=media-gfx/graphite2-1.3.8 )
diff --git a/eclass/mozconfig-v6.60.eclass b/eclass/mozconfig-v6.60.eclass
index b090218ac814..89c4a71fb104 100644
--- a/eclass/mozconfig-v6.60.eclass
+++ b/eclass/mozconfig-v6.60.eclass
@@ -112,11 +112,11 @@ RDEPEND=">=app-text/hunspell-1.5.4:=
x11-libs/libXt
system-icu? ( >=dev-libs/icu-59.1:= )
system-jpeg? ( >=media-libs/libjpeg-turbo-1.2.1 )
- system-libevent? ( >=dev-libs/libevent-2.0:0= )
+ system-libevent? ( >=dev-libs/libevent-2.0:0=[threads] )
system-sqlite? ( >=dev-db/sqlite-3.23.1:3[secure-delete,debug=] )
system-libvpx? (
>=media-libs/libvpx-1.5.0:0=[postproc]
- <media-libs/libvpx-1.8
+ <media-libs/libvpx-1.8:0=[postproc]
)
system-harfbuzz? ( >=media-libs/harfbuzz-1.4.2:0= >=media-gfx/graphite2-1.3.9-r1 )
"
@@ -158,9 +158,31 @@ DEPEND="app-arch/zip
app-arch/unzip
>=sys-devel/binutils-2.30
sys-apps/findutils
- clang? (
- >=sys-devel/llvm-4.0.1[gold]
- >=sys-devel/lld-4.0.1
+ || (
+ (
+ sys-devel/clang:8
+ !clang? ( sys-devel/llvm:8 )
+ clang? (
+ =sys-devel/lld-8*
+ sys-devel/llvm:8[gold]
+ )
+ )
+ (
+ sys-devel/clang:7
+ !clang? ( sys-devel/llvm:7 )
+ clang? (
+ =sys-devel/lld-7*
+ sys-devel/llvm:7[gold]
+ )
+ )
+ (
+ sys-devel/clang:6
+ !clang? ( sys-devel/llvm:6 )
+ clang? (
+ =sys-devel/lld-6*
+ sys-devel/llvm:6[gold]
+ )
+ )
)
pulseaudio? ( media-sound/pulseaudio )
elibc_glibc? (
diff --git a/eclass/mozcoreconf-v6.eclass b/eclass/mozcoreconf-v6.eclass
index 862d632cd99d..945b95c31b32 100644
--- a/eclass/mozcoreconf-v6.eclass
+++ b/eclass/mozcoreconf-v6.eclass
@@ -21,6 +21,7 @@ inherit multilib toolchain-funcs flag-o-matic python-any-r1 versionator
IUSE="${IUSE} custom-cflags custom-optimization"
DEPEND="virtual/pkgconfig
+ dev-lang/python:2.7[ncurses,sqlite,ssl,threads(+)]
${PYTHON_DEPS}"
# @FUNCTION: mozconfig_annotate
diff --git a/eclass/rust-toolchain.eclass b/eclass/rust-toolchain.eclass
index 26c803adf007..f3b7ab9a568c 100644
--- a/eclass/rust-toolchain.eclass
+++ b/eclass/rust-toolchain.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: rust-toolchain.eclass
@@ -91,7 +91,7 @@ rust_arch_uri() {
}
# @FUNCTION: rust_all_arch_uris
-# @USAGE <base-uri> [alt-distfile-basename]
+# @USAGE: <base-uri> [alt-distfile-basename]
# @DESCRIPTION:
# Outputs the URIs for SRC_URI to help fetch dependencies, using a base URI
# provided as an argument. Optionally allows for distfile renaming via a specified
diff --git a/eclass/toolchain-funcs.eclass b/eclass/toolchain-funcs.eclass
index 12ed132c48f1..27324b0ca607 100644
--- a/eclass/toolchain-funcs.eclass
+++ b/eclass/toolchain-funcs.eclass
@@ -218,13 +218,11 @@ tc-cpp-is-true() {
}
# @FUNCTION: tc-detect-is-softfloat
-# @RETURN:
-# Shell true if (positive or negative) detection was possible, shell
-# false otherwise. Also outputs a string when detection succeeds, see
-# tc-is-softfloat for the possible values.
+# @RETURN: Shell true if detection was possible, shell false otherwise
# @DESCRIPTION:
# Detect whether the CTARGET (or CHOST) toolchain is a softfloat based
-# one by examining the toolchain's output, if possible.
+# one by examining the toolchain's output, if possible. Outputs a value
+# alike tc-is-softfloat if detection was possible.
tc-detect-is-softfloat() {
# If fetching CPP falls back to the default (gcc -E) then fail
# detection as this may not be the correct toolchain.
diff --git a/eclass/xorg-2.eclass b/eclass/xorg-2.eclass
index 416a3ae30ec0..0bba5bb7a369 100644
--- a/eclass/xorg-2.eclass
+++ b/eclass/xorg-2.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: xorg-2.eclass
@@ -61,7 +61,6 @@ esac
EXPORT_FUNCTIONS ${EXPORTED_FUNCTIONS}
IUSE=""
-HOMEPAGE="https://www.x.org/wiki/ https://cgit.freedesktop.org/"
# @ECLASS-VARIABLE: XORG_EAUTORECONF
# @DESCRIPTION:
@@ -100,8 +99,10 @@ fi
# This variable can be used for proper directory specification
: ${XORG_PACKAGE_NAME:=${PN}}
+HOMEPAGE="https://www.x.org/wiki/ https://gitlab.freedesktop.org/xorg/${XORG_MODULE}${XORG_PACKAGE_NAME}"
+
if [[ -n ${GIT_ECLASS} ]]; then
- : ${EGIT_REPO_URI:="https://anongit.freedesktop.org/git/xorg/${XORG_MODULE}${XORG_PACKAGE_NAME}.git"}
+ : ${EGIT_REPO_URI:="https://gitlab.freedesktop.org/xorg/${XORG_MODULE}${XORG_PACKAGE_NAME}.git"}
elif [[ -n ${XORG_BASE_INDIVIDUAL_URI} ]]; then
SRC_URI="${XORG_BASE_INDIVIDUAL_URI}/${XORG_MODULE}${P}.tar.bz2"
fi
@@ -136,10 +137,10 @@ unset EAUTORECONF_DEPEND
if [[ ${FONT} == yes ]]; then
RDEPEND+=" media-fonts/encodings
- x11-apps/mkfontscale
- x11-apps/mkfontdir"
+ || ( >=x11-apps/mkfontscale-1.2.0 ( x11-apps/mkfontscale x11-apps/mkfontdir ) )"
PDEPEND+=" media-fonts/font-alias"
- DEPEND+=" >=media-fonts/font-util-1.2.0"
+ DEPEND+=" >=media-fonts/font-util-1.2.0
+ || ( >=x11-apps/mkfontscale-1.2.0 ( x11-apps/mkfontscale x11-apps/mkfontdir ) )"
# @ECLASS-VARIABLE: FONT_DIR
# @DESCRIPTION:
diff --git a/eclass/xorg-3.eclass b/eclass/xorg-3.eclass
index 4577767a77b1..15bb0b381a36 100644
--- a/eclass/xorg-3.eclass
+++ b/eclass/xorg-3.eclass
@@ -34,8 +34,7 @@ fi
: ${XORG_MULTILIB:="no"}
# we need to inherit autotools first to get the deps
-inherit autotools eutils libtool multilib toolchain-funcs \
- flag-o-matic ${GIT_ECLASS}
+inherit autotools libtool multilib toolchain-funcs flag-o-matic ${GIT_ECLASS}
if [[ ${XORG_MULTILIB} == yes ]]; then
inherit multilib-minimal
@@ -51,7 +50,6 @@ esac
EXPORT_FUNCTIONS ${EXPORTED_FUNCTIONS}
IUSE=""
-HOMEPAGE="https://www.x.org/wiki/ https://cgit.freedesktop.org/"
# @ECLASS-VARIABLE: XORG_EAUTORECONF
# @DESCRIPTION:
@@ -89,8 +87,10 @@ fi
# This variable can be used for proper directory specification
: ${XORG_PACKAGE_NAME:=${PN}}
+HOMEPAGE="https://www.x.org/wiki/ https://gitlab.freedesktop.org/xorg/${XORG_MODULE}${XORG_PACKAGE_NAME}"
+
if [[ -n ${GIT_ECLASS} ]]; then
- : ${EGIT_REPO_URI:="https://anongit.freedesktop.org/git/xorg/${XORG_MODULE}${XORG_PACKAGE_NAME}.git"}
+ : ${EGIT_REPO_URI:="https://gitlab.freedesktop.org/xorg/${XORG_MODULE}${XORG_PACKAGE_NAME}.git"}
elif [[ -n ${XORG_BASE_INDIVIDUAL_URI} ]]; then
SRC_URI="${XORG_BASE_INDIVIDUAL_URI}/${XORG_MODULE}${P}.tar.bz2"
fi